/* Author: Amay Agrawal
 * Project: Bacteria Cloud
 * Mentor: Prof. Manish K Gupta
 */
public class checker {
	public static void main(String [] args){
		String ab = convert("100101011");
		String gf = decode(ab);
		System.out.println(decode(ab));
	}
	
	public static String convert(String ab){
		String cd="";
		char bc = ab.charAt(0);
		if(bc=='0'){
			cd+='A';
		}
		else{
			cd+='T';
		}
		
		for(int i=1;i<ab.length();i++){
			char ef = cd.charAt(i-1);
			char gh = ab.charAt(i);
			if(ef=='A'){
				if(gh=='1'){
					cd+='G';
				}
				else{
					cd+='T';
				}
			}
			else if(ef=='T'){
				if(gh=='1'){
					cd+='C';
				}
				else{
					cd+='A';
				}
			}
			else if(ef=='G'){
				if(gh=='1'){
					cd+='T';
				}
				else{
					cd+='C';
				}
			}
			else if(ef=='C'){
				if(gh=='1'){
					cd+='A';
				}
				else{
					cd+='G';
				}
			}
			
		}
		return cd;
		
	}
	
	public static String decode(String ab){
		String cd="";
		char bc = ab.charAt(0);
		if(bc=='A'){
			cd+='0';
		}
		else{
			cd+='1';
		}
		System.out.println(cd);
		System.out.println(ab);
		for(int i=1;i<ab.length();i++){
			char ef = ab.charAt(i-1);
			char gh = ab.charAt(i);
			System.out.println(ef+" "+gh);
			if(ef=='A'){
				if(gh=='G'){
					cd+='1';
				}
				else{
					cd+='0';
				}
			}
			else if(ef=='T'){
				if(gh=='C'){
					cd+='1';
				}
				else{
					cd+='0';
				}
			}
			else if(ef=='G'){
				if(gh=='T'){
					cd+='1';
				}
				else{
					cd+='0';
				}
			}
			else if(ef=='C'){
				if(gh=='A'){
					cd+='1';
				}
				else{
					cd+='0';
				}
			}
		}
		
		return cd;
	}
}
